
uint16_t Lcd_Color565(uint32_t RGB);
typedef union
{
  uint16_t uint16_t;
  uint8_t uint8_t[2];
}ColorTypeDef;

void LCD_Text(uint16_t x, uint16_t y, char *str,uint16_t Color, uint16_t bkColor);
void LCD_PutChar(uint16_t x, uint16_t y, uint8_t Character, uint16_t ForeColor, uint16_t BackColor);
void LCD_Num(int x, int y, long num, uint16_t ForeColor, uint16_t BackColor);
void LCD_NumF(int x, int y, double num, uint8_t dec, uint16_t ForeColor, uint16_t BackColor);
void LCD_Line(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1,uint16_t color);
void LCD_Circle(uint16_t cx,uint16_t cy,uint16_t r,uint16_t color,uint8_t fill);
void LCD_Rectangle(uint16_t left, uint16_t top, uint16_t right, uint16_t bottom, uint16_t color, uint8_t fill);
void LCD_Square(uint16_t x0, uint16_t y0, uint16_t width, uint16_t color,uint8_t fill);
void LCD_SetArea(uint16_t left,uint16_t top,uint16_t right,uint16_t bottom);

void LCD_DispPic_FullSize(const unsigned char *str);
void LCD_DispPic(uint16_t x0, uint16_t y0, const unsigned char *str);

int power (int m, int n);
