// 
//  Font data for Lucida Console 12pt
// 

#include <stdint.h>
#include "fontLucidaConsole12pt.h"

// Character bitmaps for Lucida Console 12pt
const uint8_t lucidaConsole12ptBitmaps[] = 
{
	// @0 ' ' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @32 '!' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @64 '"' (10 pixels wide)
	0x00, 0x00, //                 
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @96 '#' (10 pixels wide)
	0x00, 0x00, //                 
	0x09, 0x00, //     #  #        
	0x09, 0x00, //     #  #        
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x7F, 0x80, //  ########       
	0x12, 0x00, //    #  #         
	0x24, 0x00, //   #  #          
	0xFF, 0x80, // #########       
	0x24, 0x00, //   #  #          
	0x24, 0x00, //   #  #          
	0x48, 0x00, //  #  #           
	0x48, 0x00, //  #  #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @128 '$' (10 pixels wide)
	0x04, 0x00, //      #          
	0x1F, 0x00, //    #####        
	0x34, 0x00, //   ## #          
	0x24, 0x00, //   #  #          
	0x24, 0x00, //   #  #          
	0x14, 0x00, //    # #          
	0x0C, 0x00, //     ##          
	0x06, 0x00, //      ##         
	0x07, 0x00, //      ###        
	0x05, 0x00, //      # #        
	0x05, 0x00, //      # #        
	0x25, 0x00, //   #  # #        
	0x3E, 0x00, //   #####         
	0x04, 0x00, //      #          
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @160 '%' (10 pixels wide)
	0x00, 0x00, //                 
	0x70, 0x40, //  ###     #      
	0x88, 0x80, // #   #   #       
	0x89, 0x00, // #   #  #        
	0x8A, 0x00, // #   # #         
	0x72, 0x00, //  ###  #         
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x13, 0x80, //    #  ###       
	0x14, 0x40, //    # #   #      
	0x24, 0x40, //   #  #   #      
	0x44, 0x40, //  #   #   #      
	0x83, 0x80, // #     ###       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @192 '&' (10 pixels wide)
	0x00, 0x00, //                 
	0x1C, 0x00, //    ###          
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x26, 0x00, //   #  ##         
	0x1C, 0x00, //    ###          
	0x30, 0x00, //   ##            
	0x48, 0x40, //  #  #    #      
	0x8C, 0x40, // #   ##   #      
	0x84, 0x80, // #    #  #       
	0x82, 0x80, // #     # #       
	0x43, 0x00, //  #    ##        
	0x3F, 0x80, //   #######       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @224 ''' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @256 '(' (10 pixels wide)
	0x00, 0x00, //                 
	0x01, 0x80, //        ##       
	0x06, 0x00, //      ##         
	0x0C, 0x00, //     ##          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x08, 0x00, //     #           
	0x0C, 0x00, //     ##          
	0x06, 0x00, //      ##         
	0x01, 0x80, //        ##       
	0x00, 0x00, //                 

	// @288 ')' (10 pixels wide)
	0x00, 0x00, //                 
	0x60, 0x00, //  ##             
	0x18, 0x00, //    ##           
	0x0C, 0x00, //     ##          
	0x04, 0x00, //      #          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x0C, 0x00, //     ##          
	0x18, 0x00, //    ##           
	0x60, 0x00, //  ##             
	0x00, 0x00, //                 

	// @320 '*' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x6B, 0x00, //  ## # ##        
	0x36, 0x00, //   ## ##         
	0x14, 0x00, //    # #          
	0x1C, 0x00, //    ###          
	0x14, 0x00, //    # #          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @352 '+' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0xFF, 0x80, // #########       
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @384 ',' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            

	// @416 '-' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3F, 0x00, //   ######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @448 '.' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @480 '/' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x80, //         #       
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x00, 0x00, //                 

	// @512 '0' (10 pixels wide)
	0x00, 0x00, //                 
	0x1C, 0x00, //    ###          
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @544 '1' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x78, 0x00, //  ####           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x7F, 0x00, //  #######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @576 '2' (10 pixels wide)
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x42, 0x00, //  #    #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x7E, 0x00, //  ######         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @608 '3' (10 pixels wide)
	0x00, 0x00, //                 
	0x3C, 0x00, //   ####          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x1C, 0x00, //    ###          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x3C, 0x00, //   ####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @640 '4' (10 pixels wide)
	0x00, 0x00, //                 
	0x04, 0x00, //      #          
	0x0C, 0x00, //     ##          
	0x14, 0x00, //    # #          
	0x14, 0x00, //    # #          
	0x24, 0x00, //   #  #          
	0x44, 0x00, //  #   #          
	0x44, 0x00, //  #   #          
	0x84, 0x00, // #    #          
	0xFF, 0x00, // ########        
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @672 '5' (10 pixels wide)
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x38, 0x00, //   ###           
	0x04, 0x00, //      #          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x38, 0x00, //   ###           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @704 '6' (10 pixels wide)
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x5C, 0x00, //  # ###          
	0x62, 0x00, //  ##   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @736 '7' (10 pixels wide)
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @768 '8' (10 pixels wide)
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x26, 0x00, //   #  ##         
	0x18, 0x00, //    ##           
	0x26, 0x00, //   #  ##         
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x3C, 0x00, //   ####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @800 '9' (10 pixels wide)
	0x00, 0x00, //                 
	0x1C, 0x00, //    ###          
	0x22, 0x00, //   #   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x23, 0x00, //   #   ##        
	0x1D, 0x00, //    ### #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x3C, 0x00, //   ####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @832 ':' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @864 ';' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            

	// @896 '<' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x80, //         #       
	0x03, 0x00, //       ##        
	0x0C, 0x00, //     ##          
	0x30, 0x00, //   ##            
	0x30, 0x00, //   ##            
	0x0C, 0x00, //     ##          
	0x03, 0x00, //       ##        
	0x00, 0x80, //         #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @928 '=' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x80, //  ########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x80, //  ########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @960 '>' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x30, 0x00, //   ##            
	0x0C, 0x00, //     ##          
	0x03, 0x00, //       ##        
	0x03, 0x00, //       ##        
	0x0C, 0x00, //     ##          
	0x30, 0x00, //   ##            
	0x40, 0x00, //  #              
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @992 '?' (10 pixels wide)
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x43, 0x00, //  #    ##        
	0x41, 0x00, //  #     #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x00, 0x00, //                 
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1024 '@' (10 pixels wide)
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x47, 0x00, //  #   ###        
	0xC9, 0x00, // ##  #  #        
	0x91, 0x00, // #  #   #        
	0x91, 0x00, // #  #   #        
	0x93, 0x00, // #  #  ##        
	0x93, 0x00, // #  #  ##        
	0x97, 0x00, // #  # ###        
	0x4D, 0xC0, //  #  ## ###      
	0x62, 0x00, //  ##   #         
	0x3E, 0x00, //   #####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1056 'A' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x1C, 0x00, //    ###          
	0x14, 0x00, //    # #          
	0x12, 0x00, //    #  #         
	0x22, 0x00, //   #   #         
	0x21, 0x00, //   #    #        
	0x7F, 0x00, //  #######        
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x80, 0x40, // #        #      
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1088 'B' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7E, 0x00, //  ######         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1120 'C' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x61, 0x00, //  ##    #        
	0x40, 0x00, //  #              
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x40, 0x00, //  #              
	0x60, 0x00, //  ##             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1152 'D' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1184 'E' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7E, 0x00, //  ######         
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7F, 0x00, //  #######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1216 'F' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7E, 0x00, //  ######         
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1248 'G' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x0F, 0x80, //     #####       
	0x30, 0x80, //   ##    #       
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x43, 0x80, //  #    ###       
	0x40, 0x80, //  #      #       
	0x20, 0x80, //   #     #       
	0x30, 0x80, //   ##    #       
	0x0F, 0x80, //     #####       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1280 'H' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7F, 0x00, //  #######        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1312 'I' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x7F, 0x00, //  #######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1344 'J' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x3C, 0x00, //   ####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1376 'K' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x44, 0x00, //  #   #          
	0x48, 0x00, //  #  #           
	0x70, 0x00, //  ###            
	0x50, 0x00, //  # #            
	0x48, 0x00, //  #  #           
	0x46, 0x00, //  #   ##         
	0x41, 0x00, //  #     #        
	0x40, 0x80, //  #      #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1408 'L' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7F, 0x00, //  #######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1440 'M' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xC3, 0x00, // ##    ##        
	0xC3, 0x00, // ##    ##        
	0xE3, 0x00, // ###   ##        
	0xA5, 0x00, // # #  # #        
	0xA5, 0x00, // # #  # #        
	0xB5, 0x00, // # ## # #        
	0x99, 0x00, // #  ##  #        
	0x99, 0x00, // #  ##  #        
	0x81, 0x00, // #      #        
	0x81, 0x00, // #      #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1472 'N' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x61, 0x00, //  ##    #        
	0x51, 0x00, //  # #   #        
	0x51, 0x00, //  # #   #        
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x45, 0x00, //  #   # #        
	0x45, 0x00, //  #   # #        
	0x43, 0x00, //  #    ##        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1504 'O' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x1E, 0x00, //    ####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1536 'P' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1568 'Q' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x1E, 0x00, //    ####         
	0x02, 0x00, //       #         
	0x01, 0x80, //        ##       
	0x00, 0x00, //                 

	// @1600 'R' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x44, 0x00, //  #   #          
	0x78, 0x00, //  ####           
	0x48, 0x00, //  #  #           
	0x44, 0x00, //  #   #          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1632 'S' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3F, 0x00, //   ######        
	0x41, 0x00, //  #     #        
	0x40, 0x00, //  #              
	0x60, 0x00, //  ##             
	0x18, 0x00, //    ##           
	0x06, 0x00, //      ##         
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x43, 0x00, //  #    ##        
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1664 'T' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xFF, 0x80, // #########       
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1696 'U' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x3C, 0x00, //   ####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1728 'V' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x22, 0x00, //   #   #         
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1760 'W' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x80, 0x40, // #        #      
	0x48, 0x80, //  #  #   #       
	0x4C, 0x80, //  #  ##  #       
	0x4C, 0x80, //  #  ##  #       
	0x54, 0x80, //  # # #  #       
	0x52, 0x80, //  # #  # #       
	0x33, 0x00, //   ##  ##        
	0x33, 0x00, //   ##  ##        
	0x21, 0x00, //   #    #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1792 'X' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x12, 0x00, //    #  #         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x80, 0x40, // #        #      
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1824 'Y' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x22, 0x00, //   #   #         
	0x14, 0x00, //    # #          
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1856 'Z' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x80, //  ########       
	0x00, 0x80, //         #       
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x7F, 0x80, //  ########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @1888 '[' (10 pixels wide)
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 

	// @1920 '\' (10 pixels wide)
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x00, 0x80, //         #       
	0x00, 0x00, //                 

	// @1952 ']' (10 pixels wide)
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 

	// @1984 '^' (10 pixels wide)
	0x00, 0x00, //                 
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x0C, 0x00, //     ##          
	0x0A, 0x00, //     # #         
	0x1A, 0x00, //    ## #         
	0x12, 0x00, //    #  #         
	0x11, 0x00, //    #   #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2016 '_' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xFF, 0xC0, // ##########      
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2048 '`' (10 pixels wide)
	0x08, 0x00, //     #           
	0x04, 0x00, //      #          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2080 'a' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3C, 0x00, //   ####          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x1E, 0x00, //    ####         
	0x22, 0x00, //   #   #         
	0x42, 0x00, //  #    #         
	0x46, 0x00, //  #   ##         
	0x3B, 0x00, //   ### ##        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2112 'b' (10 pixels wide)
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x5E, 0x00, //  # ####         
	0x62, 0x00, //  ##   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x62, 0x00, //  ##   #         
	0x5C, 0x00, //  # ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2144 'c' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x20, 0x00, //   #             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2176 'd' (10 pixels wide)
	0x00, 0x00, //                 
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x1D, 0x00, //    ### #        
	0x23, 0x00, //   #   ##        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x23, 0x00, //   #   ##        
	0x3D, 0x00, //   #### #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2208 'e' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x41, 0x00, //  #     #        
	0x7F, 0x00, //  #######        
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x20, 0x00, //   #             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2240 'f' (10 pixels wide)
	0x00, 0x00, //                 
	0x07, 0x80, //      ####       
	0x18, 0x00, //    ##           
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x7F, 0x80, //  ########       
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2272 'g' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1D, 0x00, //    ### #        
	0x23, 0x00, //   #   ##        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x23, 0x00, //   #   ##        
	0x3D, 0x00, //   #### #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x3C, 0x00, //   ####          

	// @2304 'h' (10 pixels wide)
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x4E, 0x00, //  #  ###         
	0x51, 0x00, //  # #   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2336 'i' (10 pixels wide)
	0x00, 0x00, //                 
	0x18, 0x00, //    ##           
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x78, 0x00, //  ####           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2368 'j' (10 pixels wide)
	0x00, 0x00, //                 
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3C, 0x00, //   ####          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x78, 0x00, //  ####           

	// @2400 'k' (10 pixels wide)
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x41, 0x00, //  #     #        
	0x46, 0x00, //  #   ##         
	0x48, 0x00, //  #  #           
	0x70, 0x00, //  ###            
	0x50, 0x00, //  # #            
	0x4C, 0x00, //  #  ##          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2432 'l' (10 pixels wide)
	0x00, 0x00, //                 
	0x3C, 0x00, //   ####          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2464 'm' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xB3, 0x00, // # ##  ##        
	0xCC, 0x80, // ##  ##  #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2496 'n' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x4E, 0x00, //  #  ###         
	0x71, 0x00, //  ###   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2528 'o' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1C, 0x00, //    ###          
	0x22, 0x00, //   #   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2560 'p' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x5E, 0x00, //  # ####         
	0x62, 0x00, //  ##   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x62, 0x00, //  ##   #         
	0x5C, 0x00, //  # ###          
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              

	// @2592 'q' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1D, 0x00, //    ### #        
	0x23, 0x00, //   #   ##        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x23, 0x00, //   #   ##        
	0x3D, 0x00, //   #### #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        

	// @2624 'r' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x27, 0x00, //   #  ###        
	0x29, 0x00, //   # #  #        
	0x31, 0x00, //   ##   #        
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2656 's' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x30, 0x00, //   ##            
	0x0C, 0x00, //     ##          
	0x02, 0x00, //       #         
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2688 't' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x7F, 0x00, //  #######        
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x0F, 0x00, //     ####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2720 'u' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x46, 0x00, //  #   ##         
	0x3A, 0x00, //   ### #         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2752 'v' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x80, // #       #       
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x22, 0x00, //   #   #         
	0x24, 0x00, //   #  #          
	0x14, 0x00, //    # #          
	0x18, 0x00, //    ##           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2784 'w' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x88, 0x40, // #   #    #      
	0x4C, 0x80, //  #  ##  #       
	0x4C, 0x80, //  #  ##  #       
	0x52, 0x80, //  # #  # #       
	0x52, 0x80, //  # #  # #       
	0x33, 0x00, //   ##  ##        
	0x21, 0x00, //   #    #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2816 'x' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x12, 0x00, //    #  #         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2848 'y' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x32, 0x00, //   ##  #         
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0xE0, 0x00, // ###             

	// @2880 'z' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x80, //  ########       
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x04, 0x00, //      #          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0x20, 0x00, //   #             
	0x7F, 0x80, //  ########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @2912 '{' (10 pixels wide)
	0x00, 0x00, //                 
	0x07, 0x00, //      ###        
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x30, 0x00, //   ##            
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x07, 0x00, //      ###        
	0x00, 0x00, //                 

	// @2944 '|' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 

	// @2976 '}' (10 pixels wide)
	0x00, 0x00, //                 
	0x38, 0x00, //   ###           
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x03, 0x00, //       ##        
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x04, 0x00, //      #          
	0x38, 0x00, //   ###           
	0x00, 0x00, //                 

	// @3008 '~' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x70, 0x40, //  ###     #      
	0x8C, 0x40, // #   ##   #      
	0x83, 0x80, // #     ###       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3040 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x1C, 0x00, //    ###          
	0x14, 0x00, //    # #          
	0x12, 0x00, //    #  #         
	0x22, 0x00, //   #   #         
	0x21, 0x00, //   #    #        
	0x7F, 0x00, //  #######        
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x80, 0x40, // #        #      
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3072 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x3E, 0x00, //   #####         
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x3E, 0x00, //   #####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3104 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7E, 0x00, //  ######         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3136 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3F, 0x80, //   #######       
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3168 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0xFF, 0x80, // #########       
	0x80, 0x80, // #       #       
	0x80, 0x80, // #       #       
	0x00, 0x00, //                 

	// @3200 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7E, 0x00, //  ######         
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7F, 0x00, //  #######        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3232 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xC9, 0x80, // ##  #  ##       
	0x49, 0x00, //  #  #  #        
	0x2A, 0x00, //   # # #         
	0x2A, 0x00, //   # # #         
	0x1C, 0x00, //    ###          
	0x2A, 0x00, //   # # #         
	0x2A, 0x00, //   # # #         
	0x6B, 0x00, //  ## # ##        
	0x49, 0x00, //  #  #  #        
	0xC9, 0x80, // ##  #  ##       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3264 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x1E, 0x00, //    ####         
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x7E, 0x00, //  ######         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3296 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x43, 0x00, //  #    ##        
	0x45, 0x00, //  #   # #        
	0x45, 0x00, //  #   # #        
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x51, 0x00, //  # #   #        
	0x51, 0x00, //  # #   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3328 '' (10 pixels wide)
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x43, 0x00, //  #    ##        
	0x45, 0x00, //  #   # #        
	0x45, 0x00, //  #   # #        
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x51, 0x00, //  # #   #        
	0x51, 0x00, //  # #   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3360 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x44, 0x00, //  #   #          
	0x48, 0x00, //  #  #           
	0x70, 0x00, //  ###            
	0x48, 0x00, //  #  #           
	0x44, 0x00, //  #   #          
	0x44, 0x00, //  #   #          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3392 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x21, 0x00, //   #    #        
	0x61, 0x00, //  ##    #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3424 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xC3, 0x00, // ##    ##        
	0xC3, 0x00, // ##    ##        
	0xE3, 0x00, // ###   ##        
	0xA5, 0x00, // # #  # #        
	0xA5, 0x00, // # #  # #        
	0xB5, 0x00, // # ## # #        
	0x99, 0x00, // #  ##  #        
	0x99, 0x00, // #  ##  #        
	0x81, 0x00, // #      #        
	0x81, 0x00, // #      #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3456 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7F, 0x00, //  #######        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3488 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x1E, 0x00, //    ####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3520 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x00, //  #######        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3552 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7E, 0x00, //  ######         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x42, 0x00, //  #    #         
	0x7C, 0x00, //  #####          
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3584 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x61, 0x00, //  ##    #        
	0x40, 0x00, //  #              
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x80, 0x00, // #               
	0x40, 0x00, //  #              
	0x60, 0x00, //  ##             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3616 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xFF, 0x80, // #########       
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3648 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x41, 0x00, //  #     #        
	0x21, 0x00, //   #    #        
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x08, 0x00, //     #           
	0x18, 0x00, //    ##           
	0x70, 0x00, //  ###            
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3680 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x3E, 0x00, //   #####         
	0xC9, 0x80, // ##  #  ##       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0xC9, 0x80, // ##  #  ##       
	0x3E, 0x00, //   #####         
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3712 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x12, 0x00, //    #  #         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x80, 0x40, // #        #      
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3744 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7F, 0xC0, //  #########      
	0x00, 0x40, //          #      
	0x00, 0x40, //          #      
	0x00, 0x00, //                 

	// @3776 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x46, 0x00, //  #   ##         
	0x3A, 0x00, //   ### #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3808 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0xFF, 0x80, // #########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3840 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0xFF, 0xC0, // ##########      
	0x00, 0x40, //          #      
	0x00, 0x40, //          #      
	0x00, 0x00, //                 

	// @3872 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xF0, 0x00, // ####            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x1F, 0x00, //    #####        
	0x10, 0x80, //    #    #       
	0x10, 0x80, //    #    #       
	0x10, 0x80, //    #    #       
	0x10, 0x80, //    #    #       
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3904 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x78, 0x80, //  ####   #       
	0x44, 0x80, //  #   #  #       
	0x44, 0x80, //  #   #  #       
	0x44, 0x80, //  #   #  #       
	0x44, 0x80, //  #   #  #       
	0x78, 0x80, //  ####   #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3936 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x7E, 0x00, //  ######         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7E, 0x00, //  ######         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @3968 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x02, 0x00, //       #         
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x1F, 0x00, //    #####        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4000 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x87, 0x00, // #    ###        
	0x88, 0x80, // #   #   #       
	0x90, 0x40, // #  #     #      
	0x90, 0x40, // #  #     #      
	0xF0, 0x40, // ####     #      
	0x90, 0x40, // #  #     #      
	0x90, 0x40, // #  #     #      
	0x90, 0x40, // #  #     #      
	0x88, 0x80, // #   #   #       
	0x87, 0x00, // #    ###        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4032 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x3E, 0x00, //   #####         
	0x12, 0x00, //    #  #         
	0x22, 0x00, //   #   #         
	0x42, 0x00, //  #    #         
	0x82, 0x00, // #     #         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4064 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3C, 0x00, //   ####          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x1E, 0x00, //    ####         
	0x22, 0x00, //   #   #         
	0x42, 0x00, //  #    #         
	0x46, 0x00, //  #   ##         
	0x3B, 0x00, //   ### ##        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4096 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x5E, 0x00, //  # ####         
	0x62, 0x00, //  ##   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4128 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3E, 0x00, //   #####         
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x3E, 0x00, //   #####         
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x3E, 0x00, //   #####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4160 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3F, 0x80, //   #######       
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4192 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x12, 0x00, //    #  #         
	0x22, 0x00, //   #   #         
	0x22, 0x00, //   #   #         
	0xFF, 0xC0, // ##########      
	0x80, 0x40, // #        #      
	0x80, 0x40, // #        #      
	0x00, 0x00, //                 

	// @4224 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1E, 0x00, //    ####         
	0x21, 0x00, //   #    #        
	0x41, 0x00, //  #     #        
	0x7F, 0x00, //  #######        
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x20, 0x00, //   #             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4256 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x49, 0x00, //  #  #  #        
	0x2A, 0x00, //   # # #         
	0x2A, 0x00, //   # # #         
	0x1C, 0x00, //    ###          
	0x2A, 0x00, //   # # #         
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x88, 0x80, // #   #   #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4288 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x1C, 0x00, //    ###          
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4320 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x43, 0x00, //  #    ##        
	0x45, 0x00, //  #   # #        
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x51, 0x00, //  # #   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4352 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x43, 0x00, //  #    ##        
	0x45, 0x00, //  #   # #        
	0x49, 0x00, //  #  #  #        
	0x49, 0x00, //  #  #  #        
	0x51, 0x00, //  # #   #        
	0x61, 0x00, //  ##    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4384 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x43, 0x00, //  #    ##        
	0x42, 0x00, //  #    #         
	0x44, 0x00, //  #   #          
	0x48, 0x00, //  #  #           
	0x70, 0x00, //  ###            
	0x4C, 0x00, //  #  ##          
	0x42, 0x00, //  #    #         
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4416 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x21, 0x00, //   #    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4448 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x63, 0x00, //  ##   ##        
	0x63, 0x00, //  ##   ##        
	0x55, 0x00, //  # # # #        
	0x55, 0x00, //  # # # #        
	0x55, 0x00, //  # # # #        
	0x49, 0x00, //  #  #  #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4480 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x7F, 0x00, //  #######        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4512 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1C, 0x00, //    ###          
	0x22, 0x00, //   #   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x22, 0x00, //   #   #         
	0x1C, 0x00, //    ###          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4544 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x3F, 0x00, //   ######        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4576 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x5E, 0x00, //  # ####         
	0x62, 0x00, //  ##   #         
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x41, 0x00, //  #     #        
	0x62, 0x00, //  ##   #         
	0x5C, 0x00, //  # ###          
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              

	// @4608 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x20, 0x00, //   #             
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x40, 0x00, //  #              
	0x20, 0x00, //   #             
	0x1F, 0x00, //    #####        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4640 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7F, 0x80, //  ########       
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4672 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x80, 0x40, // #        #      
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x32, 0x00, //   ##  #         
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x08, 0x00, //     #           
	0x10, 0x00, //    #            
	0xE0, 0x00, // ###             

	// @4704 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x7F, 0x00, //  #######        
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x7F, 0x00, //  #######        
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           
	0x08, 0x00, //     #           

	// @4736 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x80, //  #      #       
	0x21, 0x00, //   #    #        
	0x12, 0x00, //    #  #         
	0x0C, 0x00, //     ##          
	0x0C, 0x00, //     ##          
	0x12, 0x00, //    #  #         
	0x21, 0x00, //   #    #        
	0x40, 0x80, //  #      #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4768 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x7F, 0xC0, //  #########      
	0x00, 0x40, //          #      
	0x00, 0x40, //          #      
	0x00, 0x00, //                 

	// @4800 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x42, 0x00, //  #    #         
	0x3E, 0x00, //   #####         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x02, 0x00, //       #         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4832 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0xFF, 0x80, // #########       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4864 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0x88, 0x80, // #   #   #       
	0xFF, 0xC0, // ##########      
	0x00, 0x40, //          #      
	0x00, 0x40, //          #      
	0x00, 0x00, //                 

	// @4896 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0xF0, 0x00, // ####            
	0x10, 0x00, //    #            
	0x10, 0x00, //    #            
	0x1E, 0x00, //    ####         
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x11, 0x00, //    #   #        
	0x1E, 0x00, //    ####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4928 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x40, 0x80, //  #      #       
	0x78, 0x80, //  ####   #       
	0x44, 0x80, //  #   #  #       
	0x44, 0x80, //  #   #  #       
	0x44, 0x80, //  #   #  #       
	0x78, 0x80, //  ####   #       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4960 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x20, 0x00, //   #             
	0x3E, 0x00, //   #####         
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x3E, 0x00, //   #####         
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @4992 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x7C, 0x00, //  #####          
	0x02, 0x00, //       #         
	0x01, 0x00, //        #        
	0x1F, 0x00, //    #####        
	0x01, 0x00, //        #        
	0x01, 0x00, //        #        
	0x02, 0x00, //       #         
	0x7C, 0x00, //  #####          
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @5024 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x47, 0x80, //  #   ####       
	0x4C, 0xC0, //  #  ##  ##      
	0x48, 0x40, //  #  #    #      
	0x78, 0x40, //  ####    #      
	0x48, 0x40, //  #  #    #      
	0x48, 0x40, //  #  #    #      
	0x44, 0xC0, //  #   #  ##      
	0x47, 0x80, //  #   ####       
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 

	// @5056 '' (10 pixels wide)
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x1F, 0x00, //    #####        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x21, 0x00, //   #    #        
	0x1F, 0x00, //    #####        
	0x11, 0x00, //    #   #        
	0x21, 0x00, //   #    #        
	0x41, 0x00, //  #     #        
	0x00, 0x00, //                 
	0x00, 0x00, //                 
	0x00, 0x00, //                 
};

// Character descriptors for Lucida Console 12pt ( )
// { [Char width in bits], [Offset into lucidaConsole12ptCharBitmaps in uint8_ts] }  - width, start
const FONT_CHAR_INFO lucidaConsole12ptDescriptors[] =
{
	{10, 0}, 		//   
	{10, 32}, 		// ! 
	{10, 64}, 		// " 
	{10, 96}, 		// # 
	{10, 128}, 		// $ 
	{10, 160}, 		// % 
	{10, 192}, 		// & 
	{10, 224}, 		// ' 
	{10, 256}, 		// ( 
	{10, 288}, 		// ) 
	{10, 320}, 		// * 
	{10, 352}, 		// + 
	{10, 384}, 		// , 
	{10, 416}, 		// - 
	{10, 448}, 		// . 
	{10, 480}, 		// / 
	{10, 512}, 		// 0 
	{10, 544}, 		// 1 
	{10, 576}, 		// 2 
	{10, 608}, 		// 3 
	{10, 640}, 		// 4 
	{10, 672}, 		// 5 
	{10, 704}, 		// 6 
	{10, 736}, 		// 7 
	{10, 768}, 		// 8 
	{10, 800}, 		// 9 
	{10, 832}, 		// : 
	{10, 864}, 		// ; 
	{10, 896}, 		// < 
	{10, 928}, 		// = 
	{10, 960}, 		// > 
	{10, 992}, 		// ? 
	{10, 1024}, 		// @ 
	{10, 1056}, 		// A 
	{10, 1088}, 		// B 
	{10, 1120}, 		// C 
	{10, 1152}, 		// D 
	{10, 1184}, 		// E 
	{10, 1216}, 		// F 
	{10, 1248}, 		// G 
	{10, 1280}, 		// H 
	{10, 1312}, 		// I 
	{10, 1344}, 		// J 
	{10, 1376}, 		// K 
	{10, 1408}, 		// L 
	{10, 1440}, 		// M 
	{10, 1472}, 		// N 
	{10, 1504}, 		// O 
	{10, 1536}, 		// P 
	{10, 1568}, 		// Q 
	{10, 1600}, 		// R 
	{10, 1632}, 		// S 
	{10, 1664}, 		// T 
	{10, 1696}, 		// U 
	{10, 1728}, 		// V 
	{10, 1760}, 		// W 
	{10, 1792}, 		// X 
	{10, 1824}, 		// Y 
	{10, 1856}, 		// Z 
	{10, 1888}, 		// [ 
	{10, 1920}, 		// back slach
	{10, 1952}, 		// ] 
	{10, 1984}, 		// ^ 
	{10, 2016}, 		// _ 
	{10, 2048}, 		// ` 
	{10, 2080}, 		// a 
	{10, 2112}, 		// b 
	{10, 2144}, 		// c 
	{10, 2176}, 		// d 
	{10, 2208}, 		// e 
	{10, 2240}, 		// f 
	{10, 2272}, 		// g 
	{10, 2304}, 		// h 
	{10, 2336}, 		// i 
	{10, 2368}, 		// j 
	{10, 2400}, 		// k 
	{10, 2432}, 		// l 
	{10, 2464}, 		// m 
	{10, 2496}, 		// n 
	{10, 2528}, 		// o 
	{10, 2560}, 		// p 
	{10, 2592}, 		// q 
	{10, 2624}, 		// r 
	{10, 2656}, 		// s 
	{10, 2688}, 		// t 
	{10, 2720}, 		// u 
	{10, 2752}, 		// v 
	{10, 2784}, 		// w 
	{10, 2816}, 		// x 
	{10, 2848}, 		// y 
	{10, 2880}, 		// z 
	{10, 2912}, 		// { 
	{10, 2944}, 		// | 
	{10, 2976}, 		// } 
	{10, 3008}, 		// ~   
/////////////////////////////////////////          
// 4*16+1=65    Win1251 
/////////////////////////////////////////          
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
	{10, 0}, 		//   
/////////////////////////////////////////
	{10, 3040}, 		//  
	{10, 3072}, 		//  
	{10, 3104}, 		//  
	{10, 3136}, 		//  
	{10, 3168}, 		//  
	{10, 3200}, 		//  
	{10, 3232}, 		//  
	{10, 3264}, 		//  
	{10, 3296}, 		//  
	{10, 3328}, 		//  
	{10, 3360}, 		//  
	{10, 3392}, 		//  
	{10, 3424}, 		//  
	{10, 3456}, 		//  
	{10, 3488}, 		//  
	{10, 3520}, 		//  
	{10, 3552}, 		//  
	{10, 3584}, 		//  
	{10, 3616}, 		//  
	{10, 3648}, 		//  
	{10, 3680}, 		//  
	{10, 3712}, 		//  
	{10, 3744}, 		//  
	{10, 3776}, 		//  
	{10, 3808}, 		//  
	{10, 3840}, 		//  
	{10, 3872}, 		//  
	{10, 3904}, 		//  
	{10, 3936}, 		//  
	{10, 3968}, 		//  
	{10, 4000}, 		//  
	{10, 4032}, 		//  
	{10, 4064}, 		//  
	{10, 4096}, 		//  
	{10, 4128}, 		//  
	{10, 4160}, 		//  
	{10, 4192}, 		//  
	{10, 4224}, 		//  
	{10, 4256}, 		//  
	{10, 4288}, 		//  
	{10, 4320}, 		//  
	{10, 4352}, 		//  
	{10, 4384}, 		//  
	{10, 4416}, 		//  
	{10, 4448}, 		//  
	{10, 4480}, 		//  
	{10, 4512}, 		//  
	{10, 4544}, 		//  
	{10, 4576}, 		//  
	{10, 4608}, 		//  
	{10, 4640}, 		//  
	{10, 4672}, 		//  
	{10, 4704}, 		//  
	{10, 4736}, 		//  
	{10, 4768}, 		//  
	{10, 4800}, 		//  
	{10, 4832}, 		//  
	{10, 4864}, 		//  
	{10, 4896}, 		//  
	{10, 4928}, 		//  
	{10, 4960}, 		//  
	{10, 4992}, 		//  
	{10, 5024}, 		//  
	{10, 5056}, 		//  
};

// Font information for Lucida Console 12pt
const FONT_INFO lucidaConsole12ptFontInfo =
{
// 2, //  Character height
 16, //  Character height
 ' ', //  Start character
 '', //  End character
 2, //  Width, in pixels, of space character
 lucidaConsole12ptDescriptors, //  Character decriptor array
 lucidaConsole12ptBitmaps, //  Character bitmap array
};
